Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# OdeHinge2Joint Class Reference

Inheritance diagram for OdeHinge2Joint:

List of all members.

## Public Member Functions
| OdeHinge2Joint (OdeWorld world)
| OdeHinge2Joint (OdeWorld world, OdeJointGroup joint_group)
| addTorques (float torque1, float torque2)
VBase3 | getAnchor ()
VBase3 | getAnchor2 ()
float | getAngle1 ()
float | getAngle1Rate ()
float | getAngle2Rate ()
VBase3 | getAxis1 ()
VBase3 | getAxis2 ()
float | getParamBounce (int axis)
float | getParamCFM (int axis)
float | getParamFMax (int axis)
float | getParamFudgeFactor (int axis)
float | getParamHiStop (int axis)
float | getParamLoStop (int axis)
float | getParamStopCFM (int axis)
float | getParamStopERP (int axis)
float | getParamSuspensionCFM (int axis)
float | getParamSuspensionERP (int axis)
float | getParamVel (int axis)
| setAnchor (float x, float y, float z)
| setAnchor (VBase3 const anchor)
| setAxis1 (VBase3 const axis)
| setAxis1 (float x, float y, float z)
| setAxis2 (float x, float y, float z)
| setAxis2 (VBase3 const axis)
| setParamBounce (int axis, float val)
| setParamCFM (int axis, float val)
| setParamFMax (int axis, float val)
| setParamFudgeFactor (int axis, float val)
| setParamHiStop (int axis, float val)
| setParamLoStop (int axis, float val)
| setParamStopCFM (int axis, float val)
| setParamStopERP (int axis, float val)
| setParamSuspensionCFM (int axis, float val)
| setParamSuspensionERP (int axis, float val)
| setParamVel (int axis, float val)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Constructor & Destructor Documentation

OdeHinge2Joint | ( | OdeWorld | world | ) |

OdeHinge2Joint | ( | OdeWorld | world,
|  | OdeJointGroup | joint_group
| ) |  |

## Member Function Documentation

addTorques | ( | float | torque1,
|  | float | torque2
| ) |  |

VBase3 getAnchor | ( |  | ) |

VBase3 getAnchor2 | ( |  | ) |

float getAngle1 | ( |  | ) |

float getAngle1Rate | ( |  | ) |

float getAngle2Rate | ( |  | ) |

VBase3 getAxis1 | ( |  | ) |

VBase3 getAxis2 | ( |  | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from OdeJoint.

float getParamBounce | ( | int | axis | ) |

float getParamCFM | ( | int | axis | ) |

float getParamFMax | ( | int | axis | ) |

float getParamFudgeFactor | ( | int | axis | ) |

float getParamHiStop | ( | int | axis | ) |

float getParamLoStop | ( | int | axis | ) |

float getParamStopCFM | ( | int | axis | ) |

float getParamStopERP | ( | int | axis | ) |

float getParamSuspensionCFM | ( | int | axis | ) |

float getParamSuspensionERP | ( | int | axis | ) |

float getParamVel | ( | int | axis | ) |

setAnchor | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

setAnchor | ( | VBase3 const | anchor | ) |

setAxis1 | ( | VBase3 const | axis | ) |

setAxis1 | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

setAxis2 | ( | VBase3 const | axis | ) |

setAxis2 | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

setParamBounce | ( | int | axis,
|  | float | val
| ) |  |

setParamCFM | ( | int | axis,
|  | float | val
| ) |  |

setParamFMax | ( | int | axis,
|  | float | val
| ) |  |

setParamFudgeFactor | ( | int | axis,
|  | float | val
| ) |  |

setParamHiStop | ( | int | axis,
|  | float | val
| ) |  |

setParamLoStop | ( | int | axis,
|  | float | val
| ) |  |

setParamStopCFM | ( | int | axis,
|  | float | val
| ) |  |

setParamStopERP | ( | int | axis,
|  | float | val
| ) |  |

setParamSuspensionCFM | ( | int | axis,
|  | float | val
| ) |  |

setParamSuspensionERP | ( | int | axis,
|  | float | val
| ) |  |

setParamVel | ( | int | axis,
|  | float | val
| ) |  |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties